Informacje

Uwierzytelnianie wymagane
Format odpowiedzi json
Metoda HTTP PUT

PUT chat_conversations/:id/rate

Ostatnia modyfikacja 1970-01-02 01:00:00
Ustawia ocenę i komentarz zakończonej konwersacji na czacie. Dostępne tylko dla zamkniętych rozmów pochodzących z widgetu czatu lub rozpoczętych przez API.

URL

https://your-system-name.thulium.com/api/chat_conversations/:id/rate

Parametry

id

wymagany

Identyfikator konwersacji (zwrócony przez start). Przykładowa wartość: 6ed7c941-2c8a-411e-95d2-338a9f64800a
rate

opcjonalny

Ocena rozmowy (1-3). Przykładowa wartość: 3
comment

opcjonalny

Komentarz do oceny. Przykładowa wartość: Bardzo pomocny konsultant

Przykładowy request

PUT https://your-system-name.thulium.com/api/chat_conversations/6ed7c941-2c8a-411e-95d2-338a9f64800a/rate

Przykładowy response

<!-- pusty -->

Przykładowe wywołanie


PHP
<?php
$data = '';

$request = curl_init('https://your-system-name.thulium.com/api/chat_conversations/6ed7c941-2c8a-411e-95d2-338a9f64800a/rate');
curl_setopt($request, CURLOPT_HTTPHEADER, array(
    'Content-Type: application/json; charset=utf-8',
    'Content-Length: ' . mb_strlen($data)
));
curl_setopt($request, CURLOPT_USERPWD, 'api_user:api_pass');
curl_setopt($request, CURLOPT_TIMEOUT, 30);
curl_setopt($request, CURLOPT_RETURNTRANSFER, true);
curl_setopt($request, CURLOPT_CUSTOMREQUEST, 'PUT');
curl_setopt($request, CURLOPT_POSTFIELDS, $data);

$response = curl_exec($request);
if ($response) {
    $httpCode = curl_getinfo($request, CURLINFO_HTTP_CODE);
    if ($httpCode == 200){
        print_r(json_decode($response));
    } else {
        echo $response;
    }
} else {
    trigger_error(curl_error($request), E_USER_WARNING);
}

curl_close($request);
JAVA
public class Example {
    public static void main(String[] args) throws Exception {
        ThuliumRestClient restClient = new ThuliumRestClient("api_user", "api_pass", true);

        ThuliumRestClient.ThuliumRestResponse response = restClient.put("https://your-system-name.thulium.com/api/chat_conversations/6ed7c941-2c8a-411e-95d2-338a9f64800a/rate", "");
        System.out.println(response);
    }
}

CURL
curl -u api_user:api_pass -k -X PUT -H "Content-type: application/json" -d '' "https://your-system-name.thulium.com/api/chat_conversations/6ed7c941-2c8a-411e-95d2-338a9f64800a/rate"

HTTPie
http -a api_user:api_pass PUT https://your-system-name.thulium.com/api/chat_conversations/6ed7c941-2c8a-411e-95d2-338a9f64800a/rate